Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If IsPostBack Then
            ' ポストバック時
        Else
            ' 初期表示時
            Page.Header.Title = MyProperty.システムＭ.選挙コード名称

            ' セッション情報のクリア。
            Session(MyConstant.SessionKey.選挙ID) = Nothing
            Session(MyConstant.SessionKey.投票者ID) = Nothing
            Session(MyConstant.SessionKey.認証日時) = Nothing
            Session(MyConstant.SessionKey.投票数) = Nothing
            Session(MyConstant.SessionKey.候補者ID) = Nothing

            ' 投票制御フラグより、投票可否の判定
            Select Case MyProperty.システムＭ.投票制御フラグ
                Case "2", "3"
                Case Else
                    ' 投票不可
                    LblMessage.Text = MyProperty.システムＭ.メッセージ.Defaultaspx.投票不可
                    PnlProgress.Visible = False
                    PnlStartButton.Visible = False
                    Return
            End Select

            If MyProperty.システムＭ.Isインターネット投票型 Then
                ' インターネット投票型の場合
                PnlProgress.Visible = False
                LblMessage.Text = MyProperty.システムＭ.メッセージ.Defaultaspx.インターネット型
            Else
                ' 来場型の場合
                PnlTaioBrowser.Visible = False
                PnlStartButton.Visible = False
                LblMessage.Text = MyProperty.システムＭ.メッセージ.Defaultaspx.開始処理中

                ' JavaAppletのタグ生成
                'LtlPatlite.Text = "<APPLET CODE=""PatliteG.class"" ARCHIVE=""PatliteG.jar"" WIDTH=""0"" HEIGHT=""0""></APPLET>"
                'LtlTimerOff.Text = "<APPLET CODE=""TimerOff.class"" ARCHIVE=""TimerOff.jar"" WIDTH=""0"" HEIGHT=""0""></APPLET>"

                ' 3秒後に自動で最初の画面に遷移。
                body1.Attributes("onload") = "setTimeout('location.replace(""Login.aspx"");', 5000);"
            End If
        End If
    End Sub

End Class